[expected-failures]
KHR-GL33.pipeline_statistics_query_tests_ARB.functional_geometry_shader_queries = mesa 1afa6814ec2a2aa367909452d6777dc9dc9fedb8
KHR-GL33.pipeline_statistics_query_tests_ARB.functional_compute_shader_invocations = mesa 1afa6814ec2a2aa367909452d6777dc9dc9fedb8
KHR-GL33.pipeline_statistics_query_tests_ARB.functional_primitives_vertices_submitted_and_clipping_input_output_primitives = mesa 1afa6814ec2a2aa367909452d6777dc9dc9fedb8
KHR-GL33.pipeline_statistics_query_tests_ARB.functional_vertex_shader_invocations = mesa 1afa6814ec2a2aa367909452d6777dc9dc9fedb8
KHR-GL33.texture_swizzle.functional = mesa 1afa6814ec2a2aa367909452d6777dc9dc9fedb8
KHR-GL33.pipeline_statistics_query_tests_ARB.functional_non_rendering_commands_do_not_affect_queries = mesa 1afa6814ec2a2aa367909452d6777dc9dc9fedb8
KHR-GL33.pipeline_statistics_query_tests_ARB.functional_default_qo_values = mesa 1afa6814ec2a2aa367909452d6777dc9dc9fedb8
KHR-GL33.pipeline_statistics_query_tests_ARB.functional_fragment_shader_invocations = mesa 1afa6814ec2a2aa367909452d6777dc9dc9fedb8
KHR-NoContext.es32.robustness.getnuniform = mesa_ci a3bb3706dec683811db182c777dd9a06fbad9b0b
KHR-NoContext.es32.robustness.lose_context_on_reset = mesa_ci a3bb3706dec683811db182c777dd9a06fbad9b0b
KHR-NoContext.es32.robustness.readnpixels = mesa_ci a3bb3706dec683811db182c777dd9a06fbad9b0b
KHR-NoContext.es32.robustness.no_reset_notification = mesa_ci a3bb3706dec683811db182c777dd9a06fbad9b0b
KHR-NoContext.es32.context_flags.all_flags_set_case = mesa_ci a3bb3706dec683811db182c777dd9a06fbad9b0b
KHR-NoContext.es32.context_flags.robust_flag_set_case = mesa_ci a3bb3706dec683811db182c777dd9a06fbad9b0b
KHR-NoContext.es32.context_flags.debug_flag_set_case = mesa_ci a3bb3706dec683811db182c777dd9a06fbad9b0b
GTF-GL33.gtf21.GL2FixedTests.depth_buffer_clear.depth_buffer_clear = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf21.GL2FixedTests.point_sprites.point_sprites = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf21.GL2FixedTests.blend.blend = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf21.GL2FixedTests.buffer_clear.buffer_clear = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf30.GL3Tests.sgis_texture_lod.sgis_texture_lod_basic_lod_selection = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_basic_uniform_block_syntax = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_named_uniform_block = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_two_uniform_blocks = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_repeated_uniform_qualifier = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_global_scope_layouts = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_uniform_block_arrays = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_non_constant_indexing = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_inherit_and_override_layouts = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_structures_of_all_valid_basic_types = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_block_member_layouts = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_accessing_info_for_block_with_an_instance_array = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_layouts_not_for_matrix_type = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_all_valid_basic_types = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_repeated_element_name = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_max_uniform_block_size = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_swapping_buffers = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf21.GL2FixedTests.stencil_plane_clear.stencil_plane_clear = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf31.GL3Tests.uniform_buffer_object.uniform_buffer_object_scoping = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL33.gtf30.GL3Tests.sgis_texture_lod.sgis_texture_lod_basic_mipmap_generation = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
KHR-NoContext.es32.robust_buffer_access_behavior.vertex_buffer_objects = glcts dfc5773a28a1d73f16a3868d4ecc3fe6dfa94d9e
KHR-NoContext.es32.robust_buffer_access_behavior.image_load_store = glcts dfc5773a28a1d73f16a3868d4ecc3fe6dfa94d9e
KHR-NoContext.es32.robust_buffer_access_behavior.storage_buffer = glcts dfc5773a28a1d73f16a3868d4ecc3fe6dfa94d9e
KHR-NoContext.es32.robust_buffer_access_behavior.texel_fetch = glcts dfc5773a28a1d73f16a3868d4ecc3fe6dfa94d9e
KHR-NoContext.es32.robust_buffer_access_behavior.uniform_buffer = glcts dfc5773a28a1d73f16a3868d4ecc3fe6dfa94d9e

[expected-crashes]
KHR-GL33.texture_size_promotion.functional = mesa 1afa6814ec2a2aa367909452d6777dc9dc9fedb8
GTF-GL33.gtf30.GL3Tests.conditional_render.conditional_render_test7 = mesa 3260a96c17a5738004cd7b126d934331b119c8ce
GTF-GL33.gtf31.GL3Tests.primitive_restart.primitive_restart_draw_elements = mesa 3260a96c17a5738004cd7b126d934331b119c8ce
GTF-GL33.gtf32.GL3Tests.vertex_array_bgra.vertex_array_bgra_draw_calls = mesa 3260a96c17a5738004cd7b126d934331b119c8ce
GTF-GL33.gtf30.GL3Tests.transform_feedback.transform_feedback_double_precision = mesa 3260a96c17a5738004cd7b126d934331b119c8ce

[fixed-tests]
KHR-GL33.cull_distance.functional = mesa f98fd9d15a9a79ff1b41f1fce27bc285a20aa5bb
KHR-GL33.shaders.loops.do_while_constant_iterations.mixed_break_continue_vertex = mesa d8ce915a6156f9669b395c48411ec89997cf2fe8
KHR-GL33.shaders.struct.local.nested_struct_array_dynamic_index_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL33.shaders.struct.local.dynamic_loop_nested_struct_array_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL33.shaders.struct.local.nested_struct_array_dynamic_index_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL33.shaders.struct.local.dynamic_loop_nested_struct_array_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL33.shaders.struct.local.loop_nested_struct_array_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL33.shaders.struct.local.loop_nested_struct_array_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
GTF-GL33.gtf30.GL3Tests.sgis_texture_lod.sgis_texture_lod_basic_getter = mesa 35ee6b3d361b13c6380cf357ef05c9681639cfc1

